# Missing HLR results

**Requesting an HLR only creates an HLR object**

An HLR request like below will not return the HLR status/details of the number (`msisdn`):

[`POST <https://rest.messagebird.com/hlr> \\ -H 'Authorization: AccessKey test_gshuPaZoeEG6ovbc8M79w0QyM' \\ -d "msisdn=31612345678" \\ -d "reference=YourReference"`](https://rest.messagebird.com/hlr)

Rather the response will be like below:

```
{
"id":"0da180b035398662ceb3c42h04904985",
"href":"<https://rest.messagebird.com/hlr/0da180b035398662ceb3c42h04904985>",
"msisdn":31612345678,
"network":null,
"details":[],
"reference":"YourReference",
"status":"sent",
"createdDatetime":"2016-05-04T07:32:46+00:00",
"statusDatetime":"2016-05-04T07:32:46+00:00"
}
```

You'll need to [View an HLR ](https://developers.messagebird.com/api/hlr/#view-an-hlr)to view the details of the msisdn.

If you are missing HLR results, check two things:

1. With the `id` for the HLR request, you can retrieve the status/details of the number with a GET request. You only need to supply the unique `id` that was returned upon creation of the HLR object: \
   `GET [<https://rest.messagebird.com/hlr/{hlrId}>](<https://rest.messagebird.com/hlr/%7BhlrId%7D>)`
2. Make sure you have your HLR callback url configured within the API settings in your Dashboard [**here**](https://dashboard.messagebird.com/en-gb/developers/settings)**.** The statuses for your HLR requests will be sent in this format:

`GET [<http://your-own.url/script?id=e8077d803532c0b5937c639b60216938&msisdn=31612345678&reference=YourReference&status=active&createdDatetime=2016-05-04T07:32:46+00:00&statusDatetime=2016-05-04T07:32:46+00:00>](<http://your-own.url/script?id=e8077d803532c0b5937c639b60216938&msisdn=31612345678&reference=YourReference&status=active&createdDatetime=2016-05-04T07:32:46+00:00&statusDatetime=2016-05-04T07:32:46+00:00>)`

&#x20;

Lastly, it is important to note that the HLR results / attributes can change over time and some of them can be null because not all information is available for all countries and providers.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/connectivity-platform/troubleshooting/missing-hlr-results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
